object fParTest: TfParTest
  Left = 85
  Top = 0
  Width = 809
  Height = 728
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'LPT-DMX interface tester for advanced firmware'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object pcFeatures: TPageControl
    Left = 8
    Top = 424
    Width = 353
    Height = 257
    ActivePage = tsBasic
    TabOrder = 0
    object tsBasic: TTabSheet
      Caption = '&Basic'
      ImageIndex = 5
      object gBasic: TGroupBox
        Left = 4
        Top = 0
        Width = 336
        Height = 225
        Caption = 'Basic control'
        TabOrder = 0
        object lPort: TLabel
          Left = 8
          Top = 16
          Width = 22
          Height = 13
          Caption = 'Port:'
        end
        object lPortNumber: TLabel
          Left = 248
          Top = 16
          Width = 73
          Height = 13
          Alignment = taCenter
          AutoSize = False
          Caption = '()'
        end
        object bResync: TButton
          Left = 8
          Top = 48
          Width = 113
          Height = 25
          Caption = 'Resync'
          TabOrder = 1
          OnClick = bResyncClick
        end
        object bReset: TButton
          Left = 8
          Top = 88
          Width = 113
          Height = 25
          Caption = 'Reset'
          TabOrder = 3
          OnClick = bResetClick
        end
        object bFinish: TButton
          Left = 128
          Top = 48
          Width = 113
          Height = 25
          Caption = 'Finish'
          TabOrder = 2
          OnClick = bFinishClick
        end
        object bClearAll: TButton
          Left = 8
          Top = 128
          Width = 73
          Height = 25
          Caption = 'Clear all'
          TabOrder = 5
          OnClick = bClearAllClick
        end
        object bClearInput: TButton
          Left = 88
          Top = 128
          Width = 73
          Height = 25
          Caption = 'Clear input'
          TabOrder = 6
          OnClick = bClearInputClick
        end
        object bClearOutput: TButton
          Left = 168
          Top = 128
          Width = 73
          Height = 25
          Caption = 'Clear output'
          TabOrder = 7
          OnClick = bClearOutputClick
        end
        object cbPort: TComboBox
          Left = 40
          Top = 16
          Width = 201
          Height = 21
          Style = csDropDownList
          ItemHeight = 13
          TabOrder = 0
          OnChange = cbPortChange
        end
        object bDefaults: TButton
          Left = 128
          Top = 88
          Width = 113
          Height = 25
          Caption = 'Restore defaults'
          TabOrder = 4
          OnClick = bDefaultsClick
        end
        object bEcho: TButton
          Left = 8
          Top = 168
          Width = 113
          Height = 25
          Caption = 'Echo'
          TabOrder = 8
          OnClick = bEchoClick
        end
        object eEcho2: TEdit
          Tag = 1
          Left = 176
          Top = 168
          Width = 41
          Height = 21
          MaxLength = 3
          ReadOnly = True
          TabOrder = 10
          OnChange = eDATAChange
        end
        object eEcho: TEdit
          Tag = 1
          Left = 128
          Top = 168
          Width = 41
          Height = 21
          MaxLength = 1
          TabOrder = 9
          Text = 'X'
          OnChange = eDATAChange
        end
      end
    end
    object tsInOut: TTabSheet
      Caption = 'I/O'
      ImageIndex = 6
      object gInOut: TGroupBox
        Left = 4
        Top = 0
        Width = 336
        Height = 225
        Caption = 'In- and output control'
        TabOrder = 0
        object bInputAll: TButton
          Left = 8
          Top = 48
          Width = 113
          Height = 25
          Caption = 'Input all'
          TabOrder = 3
          OnClick = bInputAllClick
        end
        object chInputAll: TCheckBox
          Left = 128
          Top = 48
          Width = 49
          Height = 17
          Caption = 'Auto'
          TabOrder = 4
        end
        object bOutputSingle: TButton
          Left = 8
          Top = 112
          Width = 113
          Height = 25
          Caption = 'Output single'
          TabOrder = 5
          OnClick = bOutputSingleClick
        end
        object eOutputSingleChannel: TEdit
          Tag = 1
          Left = 128
          Top = 112
          Width = 41
          Height = 21
          Hint = 'DMX output channel'
          MaxLength = 3
          ParentShowHint = False
          ShowHint = True
          TabOrder = 6
          Text = '0'
          OnChange = eDATAChange
        end
        object eOutputSingleValue: TEdit
          Tag = 1
          Left = 184
          Top = 112
          Width = 41
          Height = 21
          Hint = 'DMX value'
          MaxLength = 3
          ParentShowHint = False
          ShowHint = True
          TabOrder = 7
          Text = '0'
          OnChange = eDATAChange
        end
        object bOutputAll: TButton
          Left = 8
          Top = 144
          Width = 113
          Height = 25
          Caption = 'Output all'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentFont = False
          TabOrder = 8
          OnClick = bOutputAllClick
        end
        object bInputSingle: TButton
          Left = 8
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Input single'
          TabOrder = 0
          OnClick = bInputSingleClick
        end
        object eInputSingleChannel: TEdit
          Tag = 1
          Left = 128
          Top = 16
          Width = 41
          Height = 21
          Hint = 'DMX input channel'
          MaxLength = 3
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
          Text = '0'
          OnChange = eDATAChange
        end
        object eInputSingleValue: TEdit
          Tag = 1
          Left = 184
          Top = 16
          Width = 41
          Height = 21
          Hint = 'DMX value'
          MaxLength = 3
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
          Text = '0'
          OnChange = eDATAChange
        end
        object bMassOutput: TButton
          Left = 8
          Top = 176
          Width = 113
          Height = 25
          Caption = 'Mass output'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentFont = False
          TabOrder = 9
          OnClick = bMassOutputClick
        end
        object eMassOutputFirstChannel: TEdit
          Tag = 1
          Left = 128
          Top = 176
          Width = 41
          Height = 21
          Hint = 'First DMX output channel'
          MaxLength = 3
          ParentShowHint = False
          ShowHint = True
          TabOrder = 10
          Text = '0'
          OnChange = eDATAChange
        end
        object eMassOutputLastChannel: TEdit
          Tag = 1
          Left = 184
          Top = 176
          Width = 41
          Height = 21
          Hint = 'Last DMX output channel'
          MaxLength = 3
          ParentShowHint = False
          ShowHint = True
          TabOrder = 11
          Text = '254'
          OnChange = eDATAChange
        end
      end
    end
    object tsInput: TTabSheet
      Caption = '&Input'
      object gInput: TGroupBox
        Left = 4
        Top = 0
        Width = 336
        Height = 225
        Caption = 'Input features'
        TabOrder = 0
        object lGetTimeSinceInput: TLabel
          Left = 176
          Top = 202
          Width = 3
          Height = 13
        end
        object bEnableInput: TButton
          Left = 8
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Enable input'
          TabOrder = 0
          OnClick = bEnableInputClick
        end
        object bDisableInput: TButton
          Left = 128
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Disable input'
          TabOrder = 1
          OnClick = bDisableInputClick
        end
        object bInputStartcode: TButton
          Left = 8
          Top = 48
          Width = 113
          Height = 25
          Caption = 'Input startcode'
          TabOrder = 2
          OnClick = bInputStartcodeClick
        end
        object eInputStartcode: TEdit
          Tag = 1
          Left = 128
          Top = 48
          Width = 41
          Height = 21
          MaxLength = 3
          TabOrder = 3
          Text = '0'
          OnChange = eDATAChange
        end
        object bGetInputCount: TButton
          Left = 8
          Top = 144
          Width = 113
          Height = 25
          Caption = 'Get input count'
          TabOrder = 8
          OnClick = bGetInputCountClick
        end
        object eGetInputCount: TEdit
          Tag = 1
          Left = 128
          Top = 144
          Width = 41
          Height = 21
          MaxLength = 3
          ReadOnly = True
          TabOrder = 9
        end
        object bGetTimeSinceInput: TButton
          Left = 8
          Top = 176
          Width = 113
          Height = 25
          Caption = 'Get time since input'
          TabOrder = 11
          OnClick = bGetTimeSinceInputClick
        end
        object eGetTimeSinceInput: TEdit
          Tag = 1
          Left = 128
          Top = 176
          Width = 41
          Height = 21
          MaxLength = 3
          ReadOnly = True
          TabOrder = 12
          OnChange = eDATAChange
        end
        object pbGetTimeSinceInput: TProgressBar
          Left = 8
          Top = 202
          Width = 161
          Height = 17
          Max = 65535
          Position = 65535
          Smooth = True
          TabOrder = 14
        end
        object chGetTimeSinceInput: TCheckBox
          Left = 176
          Top = 179
          Width = 49
          Height = 17
          Caption = 'Auto'
          TabOrder = 13
        end
        object chGetInputCount: TCheckBox
          Left = 176
          Top = 147
          Width = 49
          Height = 17
          Caption = 'Auto'
          TabOrder = 10
        end
        object bEnableWildcard: TButton
          Left = 8
          Top = 80
          Width = 113
          Height = 25
          Caption = 'Enable wildcard'
          TabOrder = 4
          OnClick = bEnableWildcardClick
        end
        object bDisableWildcard: TButton
          Left = 128
          Top = 80
          Width = 113
          Height = 25
          Caption = 'Disable wildcard'
          TabOrder = 5
          OnClick = bDisableWildcardClick
        end
        object bGetInputStartcode: TButton
          Left = 8
          Top = 112
          Width = 113
          Height = 25
          Caption = 'Get input startcode'
          TabOrder = 6
          OnClick = bGetInputStartcodeClick
        end
        object eGetInputStartcode: TEdit
          Tag = 1
          Left = 128
          Top = 112
          Width = 41
          Height = 21
          MaxLength = 3
          ReadOnly = True
          TabOrder = 7
        end
        object chGetInputStartcode: TCheckBox
          Left = 176
          Top = 115
          Width = 49
          Height = 17
          Caption = 'Auto'
          TabOrder = 15
        end
      end
    end
    object tsOutput: TTabSheet
      Caption = '&Output'
      ImageIndex = 1
      object gOutput: TGroupBox
        Left = 4
        Top = 0
        Width = 336
        Height = 225
        Caption = 'Output features'
        TabOrder = 0
        object bBreakTime: TButton
          Left = 8
          Top = 48
          Width = 113
          Height = 25
          Caption = 'Break time'
          TabOrder = 2
          OnClick = bBreakTimeClick
        end
        object eBreakTime: TEdit
          Tag = 1
          Left = 128
          Top = 48
          Width = 41
          Height = 21
          MaxLength = 3
          TabOrder = 3
          Text = '88'
          OnChange = eDATAChange
        end
        object bMabTime: TButton
          Left = 8
          Top = 80
          Width = 113
          Height = 25
          Caption = 'MAB time'
          TabOrder = 4
          OnClick = bMabTimeClick
        end
        object eMabTime: TEdit
          Tag = 1
          Left = 128
          Top = 80
          Width = 41
          Height = 21
          MaxLength = 3
          TabOrder = 5
          Text = '8'
          OnChange = eDATAChange
        end
        object bOutputCount: TButton
          Left = 8
          Top = 144
          Width = 113
          Height = 25
          Caption = 'Output count'
          TabOrder = 6
          OnClick = bOutputCountClick
        end
        object eOutputCount: TEdit
          Tag = 1
          Left = 128
          Top = 144
          Width = 41
          Height = 21
          MaxLength = 3
          TabOrder = 7
          Text = '255'
          OnChange = eDATAChange
        end
        object bEnableOutput: TButton
          Left = 8
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Enable output'
          TabOrder = 0
          OnClick = bEnableOutputClick
        end
        object bDisableOutput: TButton
          Left = 128
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Disable output'
          TabOrder = 1
          OnClick = bDisableOutputClick
        end
        object bOutputStartcode: TButton
          Left = 8
          Top = 112
          Width = 113
          Height = 25
          Caption = 'Output startcode'
          TabOrder = 8
          OnClick = bOutputStartcodeClick
        end
        object eOutputStartcode: TEdit
          Tag = 1
          Left = 128
          Top = 112
          Width = 41
          Height = 21
          MaxLength = 3
          TabOrder = 9
          Text = '0'
          OnChange = eDATAChange
        end
      end
    end
    object tsMultiplexer: TTabSheet
      Caption = '&Multiplexer'
      ImageIndex = 2
      object gMux: TGroupBox
        Left = 4
        Top = 0
        Width = 336
        Height = 225
        Caption = 'Multiplexer features'
        TabOrder = 0
        object lGetMuxValue: TLabel
          Left = 128
          Top = 170
          Width = 6
          Height = 20
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clBlue
          Font.Height = -16
          Font.Name = 'MS Sans Serif'
          Font.Style = [fsBold]
          ParentFont = False
        end
        object bEnableMux: TButton
          Left = 8
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Enable multiplexer'
          TabOrder = 0
          OnClick = bEnableMuxClick
        end
        object bDisableMux: TButton
          Left = 128
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Disable multiplexer'
          TabOrder = 1
          OnClick = bDisableMuxClick
        end
        object bMuxAddress: TButton
          Left = 8
          Top = 80
          Width = 113
          Height = 25
          Caption = 'Multiplexer address'
          TabOrder = 4
          OnClick = bMuxAddressClick
        end
        object eMuxAddress: TEdit
          Tag = 1
          Left = 128
          Top = 80
          Width = 41
          Height = 21
          MaxLength = 3
          TabOrder = 5
          Text = '0'
          OnChange = eDATAChange
        end
        object bInvertedMux: TButton
          Left = 8
          Top = 48
          Width = 113
          Height = 25
          Caption = 'Inverted mux'
          TabOrder = 2
          OnClick = bInvertedMuxClick
        end
        object bNonInvertedMux: TButton
          Left = 128
          Top = 48
          Width = 113
          Height = 25
          Caption = 'Non-inverted mux'
          TabOrder = 3
          OnClick = bNonInvertedMuxClick
        end
        object bForceMuxOff: TButton
          Left = 8
          Top = 112
          Width = 113
          Height = 25
          Caption = 'Force mux off'
          TabOrder = 6
          OnClick = bForceMuxOffClick
        end
        object bNoForceMuxOff: TButton
          Left = 128
          Top = 112
          Width = 113
          Height = 25
          Caption = 'No force mux off'
          TabOrder = 7
          OnClick = bNoForceMuxOffClick
        end
        object bGetMuxValue: TButton
          Left = 8
          Top = 144
          Width = 113
          Height = 25
          Caption = 'Get mux value'
          TabOrder = 8
          OnClick = bGetMuxValueClick
        end
        object eGetMuxValue: TEdit
          Tag = 1
          Left = 128
          Top = 144
          Width = 41
          Height = 21
          MaxLength = 3
          ReadOnly = True
          TabOrder = 9
          OnChange = eDATAChange
        end
        object chGetMuxValue: TCheckBox
          Left = 176
          Top = 147
          Width = 49
          Height = 17
          Caption = 'Auto'
          TabOrder = 10
        end
      end
    end
    object tsMerge: TTabSheet
      Caption = '&Merge'
      ImageIndex = 3
      object gMerge: TGroupBox
        Left = 4
        Top = 0
        Width = 336
        Height = 225
        Caption = 'Merge features'
        TabOrder = 0
        object bEnableMerge: TButton
          Left = 8
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Enable merge'
          TabOrder = 0
          OnClick = bEnableMergeClick
        end
        object bDisableMerge: TButton
          Left = 128
          Top = 16
          Width = 113
          Height = 25
          Caption = 'Disable merge'
          TabOrder = 1
          OnClick = bDisableMergeClick
        end
      end
    end
    object tsEEPROM: TTabSheet
      Caption = '&EEPROM'
      ImageIndex = 4
      object gEEPROM: TGroupBox
        Left = 4
        Top = 0
        Width = 336
        Height = 225
        Caption = 'EEPROM features'
        TabOrder = 0
        object chEnableInput: TCheckBox
          Left = 8
          Top = 16
          Width = 273
          Height = 17
          Caption = 'Enable &input'
          Checked = True
          State = cbChecked
          TabOrder = 0
        end
        object bWriteEEPROM: TButton
          Left = 8
          Top = 112
          Width = 113
          Height = 25
          Caption = 'Write EEPROM'
          TabOrder = 4
          OnClick = bWriteEEPROMClick
        end
        object chEnableOutput: TCheckBox
          Left = 8
          Top = 40
          Width = 273
          Height = 17
          Caption = 'Enable &output'
          Checked = True
          State = cbChecked
          TabOrder = 1
        end
        object chEnableMux: TCheckBox
          Left = 8
          Top = 64
          Width = 273
          Height = 17
          Caption = 'Enable &multiplexer'
          TabOrder = 2
        end
        object chEnableMerge: TCheckBox
          Left = 8
          Top = 88
          Width = 273
          Height = 17
          Caption = 'Enable &merge'
          TabOrder = 3
        end
        object bReadEEPROM: TButton
          Left = 128
          Top = 112
          Width = 113
          Height = 25
          Caption = 'Restore EEPROM'
          TabOrder = 5
          OnClick = bReadEEPROMClick
        end
        object bEEPROMHelper: TButton
          Left = 8
          Top = 152
          Width = 113
          Height = 25
          Caption = 'EEPROM &helper'
          TabOrder = 6
          OnClick = bEEPROMHelperClick
        end
      end
    end
  end
  object gParallelOutput: TGroupBox
    Left = 384
    Top = 424
    Width = 401
    Height = 169
    Caption = 'Parallel output'
    TabOrder = 1
    object lDATA: TLabel
      Left = 344
      Top = 16
      Width = 32
      Height = 13
      Caption = 'DATA:'
    end
    object lBenchmark2: TLabel
      Left = 108
      Top = 148
      Width = 5
      Height = 13
      Font.Charset = DEFAULT_CHARSET
      Font.Color = 4227072
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object lBenchmark: TLabel
      Left = 8
      Top = 148
      Width = 86
      Height = 13
      Caption = 'Last duration (ms):'
    end
    object chD0: TCheckBox
      Left = 288
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D0'
      TabOrder = 0
      OnClick = chDATAClick
    end
    object chSTR: TCheckBox
      Left = 288
      Top = 56
      Width = 57
      Height = 17
      Caption = 'STR'
      TabOrder = 1
      OnClick = chSTRClick
    end
    object chD1: TCheckBox
      Left = 248
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D1'
      TabOrder = 2
      OnClick = chDATAClick
    end
    object chD2: TCheckBox
      Left = 208
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D2'
      TabOrder = 3
      OnClick = chDATAClick
    end
    object chD3: TCheckBox
      Left = 168
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D3'
      TabOrder = 4
      OnClick = chDATAClick
    end
    object chD4: TCheckBox
      Left = 128
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D4'
      TabOrder = 5
      OnClick = chDATAClick
    end
    object chD5: TCheckBox
      Left = 88
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D5'
      TabOrder = 6
      OnClick = chDATAClick
    end
    object chD6: TCheckBox
      Left = 48
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D6'
      TabOrder = 7
      OnClick = chDATAClick
    end
    object chD7: TCheckBox
      Left = 8
      Top = 32
      Width = 33
      Height = 17
      Caption = 'D7'
      TabOrder = 8
      OnClick = chDATAClick
    end
    object eDATA: TEdit
      Left = 344
      Top = 32
      Width = 49
      Height = 21
      MaxLength = 1
      TabOrder = 9
      OnChange = eDATAChange
    end
    object chSELIN: TCheckBox
      Left = 8
      Top = 56
      Width = 57
      Height = 17
      Caption = 'SELIN'
      TabOrder = 10
      OnClick = chSELINClick
    end
    object chRESET: TCheckBox
      Left = 88
      Top = 56
      Width = 57
      Height = 17
      Caption = 'RESET'
      TabOrder = 11
      OnClick = chRESETClick
    end
    object chLF: TCheckBox
      Left = 168
      Top = 56
      Width = 57
      Height = 17
      Caption = 'LF'
      TabOrder = 12
      OnClick = chLFClick
    end
  end
  object gbParallelInput: TGroupBox
    Left = 383
    Top = 600
    Width = 402
    Height = 81
    Caption = 'Parallel input'
    TabOrder = 2
    object chACK: TCheckBox
      Left = 8
      Top = 16
      Width = 57
      Height = 17
      Caption = 'ACK'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsUnderline]
      ParentFont = False
      TabOrder = 0
    end
    object chPE: TCheckBox
      Left = 72
      Top = 16
      Width = 57
      Height = 17
      Caption = 'PE'
      TabOrder = 1
    end
    object chSEL: TCheckBox
      Left = 136
      Top = 16
      Width = 57
      Height = 17
      Caption = 'SEL'
      TabOrder = 2
    end
    object chERR: TCheckBox
      Left = 200
      Top = 16
      Width = 57
      Height = 17
      Caption = 'ERR'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsUnderline]
      ParentFont = False
      TabOrder = 3
    end
    object chBUSY: TCheckBox
      Left = 288
      Top = 16
      Width = 57
      Height = 17
      Caption = 'BUSY'
      Checked = True
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsUnderline]
      ParentFont = False
      State = cbChecked
      TabOrder = 4
    end
    object bRefresh: TButton
      Left = 288
      Top = 40
      Width = 51
      Height = 25
      Caption = 'Refresh'
      TabOrder = 5
      OnClick = bRefreshClick
    end
    object chRefresh: TCheckBox
      Left = 348
      Top = 43
      Width = 49
      Height = 17
      Caption = 'Auto'
      Checked = True
      State = cbChecked
      TabOrder = 6
    end
  end
  object tRefresh: TTimer
    Interval = 100
    OnTimer = tRefreshTimer
    Left = 392
    Top = 639
  end
end
